package websocket

import (
	"NaiveBotRouter/pkg/conf"
	"NaiveBotRouter/pkg/log"
	"github.com/gorilla/websocket"
	"net/http"
)

var upgrader = websocket.Upgrader{} // use default options

func ServeBackendServer() {
	http.HandleFunc("/onebot/v11/ws", listen)
	http.ListenAndServe(conf.GlobalConfig.Servers["backend"].Addr, nil)
}

func listen(w http.ResponseWriter, r *http.Request) {
	ws, err := upgrader.Upgrade(w, r, nil)
	if err != nil {
		log.Log.Info("upgrade:", err)
		return
	}
	defer ws.Close()
	for {
		_, message, err := ws.ReadMessage()
		if err != nil {
			log.Log.Info("read:", err)
			break
		}
		log.Log.Infof("recv: %s", message)
	}
}
